# Uses of Class
javafx.collections.ListChangeListener.Change

Packages that use ListChangeListener.Change
Package
Description
javafx.beans.property
The package `javafx.beans.property` defines read-only properties and writable properties, plus a number of implementations.
javafx.collections
Contains the essential JavaFX collections and collection utilities
javafx.collections.transformation
Provides JavaFX collections that wrap and transform (for example, sort or filter) other JavaFX collections.
javafx.scene.chart
The JavaFX User Interface provides a set of chart components that are a very convenient way for data visualization.

## Uses of ListChangeListener.Change in javafx.beans.property

Methods in javafx.beans.property with parameters of type ListChangeListener.Change
Modifier and Type
Method
Description
`protected void`
ListPropertyBase.`fireValueChangedEvent(ListChangeListener.Change<? extends E> change)`
Sends notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `ListChangeListener`.
`protected void`
ReadOnlyListPropertyBase.`fireValueChangedEvent(ListChangeListener.Change<? extends E> change)`
This method needs to be called if the content of the referenced `ObservableList` changes.
`protected void`
ReadOnlyListWrapper.`fireValueChangedEvent(ListChangeListener.Change<? extends E> change)`
Sends notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `ListChangeListener`.

## Uses of ListChangeListener.Change in javafx.collections

Methods in javafx.collections with parameters of type ListChangeListener.Change
Modifier and Type
Method
Description
`protected final void`
ObservableListBase.`fireChange(ListChangeListener.Change<? extends E> change)`
Notifies all listeners of a change
`void`
ListChangeListener.`onChanged(ListChangeListener.Change<? extends E> c)`
Called after a change has been made to an ObservableList.
`void`
WeakListChangeListener.`onChanged(ListChangeListener.Change<? extends E> change)`
Called after a change has been made to an ObservableList.

## Uses of ListChangeListener.Change in javafx.collections.transformation

Methods in javafx.collections.transformation with parameters of type ListChangeListener.Change
Modifier and Type
Method
Description
`protected void`
FilteredList.`sourceChanged(ListChangeListener.Change<? extends E> c)`
`protected void`
SortedList.`sourceChanged(ListChangeListener.Change<? extends E> c)`
`protected abstract void`
TransformationList.`sourceChanged(ListChangeListener.Change<? extends F> c)`
Called when a change from the source is triggered.

## Uses of ListChangeListener.Change in javafx.scene.chart

Methods in javafx.scene.chart with parameters of type ListChangeListener.Change
Modifier and Type
Method
Description
`protected void`
AreaChart.`seriesChanged(ListChangeListener.Change<? extends XYChart.Series> c)`
`protected void`
BarChart.`seriesChanged(ListChangeListener.Change<? extends XYChart.Series> c)`
`protected void`
LineChart.`seriesChanged(ListChangeListener.Change<? extends XYChart.Series> c)`
`protected void`
StackedAreaChart.`seriesChanged(ListChangeListener.Change<? extends XYChart.Series> c)`
`protected void`
StackedBarChart.`seriesChanged(ListChangeListener.Change<? extends XYChart.Series> c)`
`protected void`
XYChart.`seriesChanged(ListChangeListener.Change<? extends XYChart.Series> c)`
Called when each atomic change is made to the list of series for this chart